@function str-replace($string, $search, $replace: ""){
    $index: str-index($string, $search);
    @if $index {
        @return str-slice($string, 1, $index - 1) + $replace + str-replace(str-slice($string, $index + str-length($search)), $search, $replace);
    }
    @return $string;
}
@mixin linkWithUnderline{
    position: relative;
    transition: all 0.3s ease-in-out;
    &::before{
        position: absolute;
        content: "";
        height: 2px;
        left: 0;
        right: 100%;
        bottom: -2px;
        background-color: transparent;
        transition: all 0.3s ease-in-out;        
    }
    &:hover{
        color: $textHightlightColor;
        &::before{
            right: 0;
            background-color: $textHightlightColor;
        }
    }
}
@mixin freshEffect{
    position: relative;
    transition: all 0.3s ease-in-out;
    &::before{
        position: absolute;
        content: "";
        top: 50%;
        left: 50%;
        right: 50%;
        bottom: 50%;
        background: linear-gradient(to bottom, transparent, transparent);
        transition: all 0.3s ease-in-out;      
    }
    &:hover{
        &::before{
            top: -4px;
            right: -4px;
            left: -4px;
            bottom: -4px;
            background-color: $textHightlightColor;
            border-radius: 20px;
            background: linear-gradient(to top, transparent, $backgroundColor);
        }
    }
}
